LIB_NAME = eggtrayicon
PRODUCT = eggtrayicon
PRODUCT_LINK = dynamic

EGG_TOP_FOLDER = $(ACRO_ROOT_DIR)/Acrobat/SystemSynchronizer/Toast/eggtrayicon
EGG_SRC_FOLDER = $(EGG_TOP_FOLDER)/src
EGG_LIB_FOLDER = $(EGG_TOP_FOLDER)/lib/$(PLATFORM_LONG_CODE)
product_default: $(EGG_LIB_FOLDER)/lib$(LIB_NAME)$(LIB_DYNAMIC_EXT)

CC_FLAGS = $(CC_LIB_FLAGS) $(WARNING_IS_ERROR)
CCPP_FLAGS = $(CCPP_LIB_FLAGS) $(WARNING_IS_ERROR)

PRODUCT_DEFINES = -fPIC

include $(BUILD_SHARE_DIR)/Common.mak

EGG_C_SOURCES += \
	"$(EGG_SRC_FOLDER)/eggtrayicon.c"

EGG_C_INCLUDES += \
	-I"$(EGG_SRC_FOLDER)/../include"

EGG_C_OBJS += \
	eggtrayicon.o

%.o : $(EGG_SRC_FOLDER)/%.c
	$(CC_FORCE) $(CC_FLAGS) $(DEFINES) $(INCLUDES) -o $@ -c $<

C_SOURCES += $(EGG_C_SOURCES)
INCLUDES += $(EGG_C_INCLUDES)
OBJS += $(EGG_C_OBJS)

PRODUCT_LIBS += $(GTK_LIBS) $(X_LIBS)
PRODUCT_INCLUDES += $(GTK_INCLUDES) $(X_INCLUDES)

egg_depends:
	$(CC_DEPEND) $(DEFINES) $(INCLUDES) \
	$(EGG_C_SOURCES) \
	$(CC_DEPEND_POST)

DEPEND_TARGETS += egg_depends

$(EGG_LIB_FOLDER)/lib$(LIB_NAME)$(LIB_DYNAMIC_EXT): lib$(LIB_NAME)$(LIB_DYNAMIC_EXT)
	if [ -d $(EGG_LIB_FOLDER) ]; then rm -rf $(EGG_LIB_FOLDER) 2>/dev/null; fi
	mkdir -p $(EGG_LIB_FOLDER);
	mv lib$(LIB_NAME)$(LIB_DYNAMIC_EXT) $(EGG_LIB_FOLDER)/lib$(LIB_NAME)$(LIB_DYNAMIC_EXT);
	make cleanall
